|  | Home · All Classes · Modules

# QDomDocumentType Class Reference
[QtXml module]

The QDomDocumentType class is the representation of the DTD in the document tree. More...

Inherits QDomNode.

### Methods

- __init__ (self)
- __init__ (self, QDomDocumentType)
- QDomNamedNodeMap entities (self)
- QString internalSubset (self)
- QString name (self)
- QDomNode.NodeType nodeType (self)
- QDomNamedNodeMap notations (self)
- QString publicId (self)
- QString systemId (self)

## Detailed Description

The QDomDocumentType class is the representation of the DTD in the document tree.

The QDomDocumentType class allows read-only access to some of the data structures in the DTD: it can return a map of all entities() and notations(). In addition the function name() returns the name of the document type as specified in the &lt;!DOCTYPE name&gt; tag. This class also provides the publicId(), systemId() and internalSubset() functions.

See also QDomDocument.

## Method Documentation

### QDomDocumentType.__init__ (self)

Creates an empty QDomDocumentType object.

### QDomDocumentType.__init__ (self, QDomDocumentType)

Constructs a copy of n.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNamedNodeMap QDomDocumentType.entities (self)

Returns a map of all entities described in the DTD.

### QString QDomDocumentType.internalSubset (self)

Returns the internal subset of the document type or an empty string if there is no internal subset.

See also publicId() and systemId().

### QString QDomDocumentType.name (self)

Returns the name of the document type as specified in the &lt;!DOCTYPE name&gt; tag.

See also nodeName().

### QDomNode.NodeType QDomDocumentType.nodeType (self)

Returns `DocumentTypeNode`.

See also isDocumentType() and QDomNode.toDocumentType().

### QDomNamedNodeMap QDomDocumentType.notations (self)

Returns a map of all notations described in the DTD.

### QString QDomDocumentType.publicId (self)

Returns the public identifier of the external DTD subset or an empty string if there is no public identifier.

See also systemId(), internalSubset(), and QDomImplementation.createDocumentType().

### QString QDomDocumentType.systemId (self)

Returns the system identifier of the external DTD subset or an empty string if there is no system identifier.

See also publicId(), internalSubset(), and QDomImplementation.createDocumentType().